Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2020-02345, UID# 2975
App. Status: Expired

Valid: 12/29/2020 - 01/01/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2675 (12/28/2020)

Charge Cost Quantity Total
Non-Taxable
added 12/28/2020 9:35 AM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 12/28/2020 9:35 AM

Workover Rigs & Cranes 110,001 - 115,000 lbs

$90.00 x 1 $90.00
added 12/28/2020 9:29 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $620.00
Payment 12/28/2020$620.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 12/28/2020 9:29 AM
c3fc36b5d4a1322f7ed7095aa1070f49
0967ed5382dc8a94cf5f794f5e8b286c
 
#1 Permit Issuing OfficialRachel Grimm - 12/28/2020 9:45 AM
225495f3efdd4339944bc10fea341260
98bb120c3cb6f720f9307f18708ad4d6
 
Permit has been approved. All signatures have been obtained.